Bug 365944 - SIGSEGV in Akonadi::Tag::isValid() crashing KAddressbook on startup with configured CardDav, or KOrganizer on event edition (or creation) or access to settings
Summary: SIGSEGV in Akonadi::Tag::isValid() crashing KAddressbook on startup with conf...
Status: RESOLVED FIXED
Alias: None
Product: kaddressbook
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian stable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 357228 360746 361651 361652 362150 365800 365983 366304 366373 366790 367749 369070 369071 369616 370402 372711 372782 374333 382635 387769 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-07-21 12:41 UTC by Volker
Modified: 2018-07-21 01:09 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker 2016-07-21 12:41:05 UTC
Application: kaddressbook (5.2.3)

Qt Version: 5.6.1
Frameworks Version: 5.23.0
Operating System: Linux 4.6.0-1-amd64 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
I startet KAddressbook with configured CardDav address books on owncloud.
The crash occurs always (within kontact and stand alone)
I think it's a duplicate with 357228, but the report assistent let me not connect
to this bugreport.

Greetings, volker

The crash can be reproduced every time.

-- Backtrace:
Application: KAddressBook (kaddressbook), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xed044ac0 (LWP 8263))]

Thread 8 (Thread 0xe73ffb40 (LWP 8276)):
#0  0xf40434c8 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xf3ffbf73 in g_main_context_acquire () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xf3ffcfb8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xf3ffd254 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xf60c6254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#5  0xf606c2d6 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#6  0xf606c70a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#7  0xf5e9d82d in QThread::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#8  0xf5e9d908 in QThread::run() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#9  0xf5ea2ad2 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#10 0xf414429a in start_thread (arg=0xe73ffb40) at pthread_create.c:333
#11 0xf5bac0fe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:114

Thread 7 (Thread 0xe7de2b40 (LWP 8274)):
#0  0xf404349d in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xf3ffd0fd in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xf3ffd254 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xf60c6254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#4  0xf606c2d6 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#5  0xf606c70a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#6  0xf5e9d82d in QThread::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#7  0xf5e9d908 in QThread::run() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#8  0xf5ea2ad2 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#9  0xf414429a in start_thread (arg=0xe7de2b40) at pthread_create.c:333
#10 0xf5bac0fe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:114

Thread 6 (Thread 0xe89e3b40 (LWP 8272)):
#0  0xf5ea194a in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#1  0xf60c58dd in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#2  0xf3ffc5db in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xf3ffd024 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xf3ffd254 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xf60c6254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#6  0xf606c2d6 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#7  0xf606c70a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#8  0xf5e9d82d in QThread::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#9  0xf5e9d908 in QThread::run() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#10 0xf5ea2ad2 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#11 0xf414429a in start_thread (arg=0xe89e3b40) at pthread_create.c:333
#12 0xf5bac0fe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:114

Thread 5 (Thread 0xe96b7b40 (LWP 8270)):
#0  0xf404349d in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xf3ffd0fd in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xf3ffd254 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xf60c6254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#4  0xf606c2d6 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#5  0xf606c70a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#6  0xf5e9d82d in QThread::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#7  0xf5e9d908 in QThread::run() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#8  0xf5ea2ad2 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#9  0xf414429a in start_thread (arg=0xe96b7b40) at pthread_create.c:333
#10 0xf5bac0fe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:114

Thread 4 (Thread 0xea2ffb40 (LWP 8268)):
#0  0xf76ddd49 in __kernel_vsyscall ()
#1  0xf5ba20bf in poll () at ../sysdeps/unix/syscall-template.S:84
#2  0xf400bb20 in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xf3ffd11c in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xf3ffd254 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xf60c6254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#6  0xf606c2d6 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#7  0xf606c70a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#8  0xf5e9d82d in QThread::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#9  0xf5e9d908 in QThread::run() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#10 0xf5ea2ad2 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#11 0xf414429a in start_thread (arg=0xea2ffb40) at pthread_create.c:333
#12 0xf5bac0fe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:114

Thread 3 (Thread 0xeaca4b40 (LWP 8266)):
#0  0xf76ddd49 in __kernel_vsyscall ()
#1  0xf5ba20bf in poll () at ../sysdeps/unix/syscall-template.S:84
#2  0xf400bb20 in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xf3ffd11c in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xf3ffd254 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xf60c6254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#6  0xf606c2d6 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#7  0xf606c70a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#8  0xf5e9d82d in QThread::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#9  0xf5e9d908 in QThread::run() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#10 0xf5ea2ad2 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#11 0xf414429a in start_thread (arg=0xeaca4b40) at pthread_create.c:333
#12 0xf5bac0fe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:114

Thread 2 (Thread 0xec066b40 (LWP 8265)):
#0  0xf40434c8 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xf3ffcc8e in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xf3ffd189 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xf3ffd254 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xf60c6254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#5  0xf606c2d6 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#6  0xf606c70a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#7  0xf5e9d82d in QThread::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#8  0xf57e76ac in ?? () from /usr/lib/i386-linux-gnu/libQt5DBus.so.5
#9  0xf5ea2ad2 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#10 0xf414429a in start_thread (arg=0xec066b40) at pthread_create.c:333
#11 0xf5bac0fe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:114

Thread 1 (Thread 0xed044ac0 (LWP 8263)):
[KCrash Handler]
#7  0xf4f8fcb6 in Akonadi::Tag::isValid (this=0xfffcddcc) at /build/akonadi-uzW5jU/akonadi-16.04.3/src/core/tag.cpp:239
#8  0xf5035577 in Akonadi::TagModel::data (this=0x8b18d00, index=..., role=258) at /build/akonadi-uzW5jU/akonadi-16.04.3/src/core/models/tagmodel.cpp:95
#9  0xf75f45b4 in CategorySelectWidgetPrivate::slotTagsInserted (this=0x8bfc008, parent=..., start=0, end=0) at /build/kdepim-Py8sU_/kdepim-16.04.3/kaddressbook/categoryselectwidget.cpp:174
#10 0xf75f5d75 in QtPrivate::FunctorCall<QtPrivate::IndexesList<0, 1, 2>, QtPrivate::List<QModelIndex const&, int, int>, void, void (CategorySelectWidgetPrivate::*)(QModelIndex const&, int, int)>::call (arg=0xfffce01c, o=0x8bfc008, f=<optimized out>) at /usr/include/i386-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:501
#11 QtPrivate::FunctionPointer<void (CategorySelectWidgetPrivate::*)(QModelIndex const&, int, int)>::call<QtPrivate::List<QModelIndex const&, int, int>, void> (arg=0xfffce01c, o=0x8bfc008, f=<optimized out>) at /usr/include/i386-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:520
#12 QtPrivate::QSlotObject<void (CategorySelectWidgetPrivate::*)(QModelIndex const&, int, int), QtPrivate::List<QModelIndex const&, int, int>, void>::impl (which=1, this_=0x8b23b10, r=0x8bfc008, a=0xfffce01c, ret=0x0) at /usr/include/i386-linux-gnu/qt5/QtCore/qobject_impl.h:143
#13 0xf609cb13 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#14 0xf609cfbd in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#15 0xf6118f11 in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int, QAbstractItemModel::QPrivateSignal) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#16 0xf6013909 in QAbstractItemModel::endInsertRows() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#17 0xf5037601 in Akonadi::TagModelPrivate::monitoredTagAdded (this=0x8b09c28, tag=...) at /build/akonadi-uzW5jU/akonadi-16.04.3/src/core/models/tagmodel_p.cpp:127
#18 0xf5037d5a in Akonadi::TagModelPrivate::tagsFetched (this=0x8b09c28, tags=...) at /build/akonadi-uzW5jU/akonadi-16.04.3/src/core/models/tagmodel_p.cpp:224
#19 0xf503490e in Akonadi::TagModel::qt_static_metacall (_o=0x8b18d00, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xfffce2c4) at /build/akonadi-uzW5jU/akonadi-16.04.3/obj-i686-linux-gnu/src/core/moc_tagmodel.cpp:103
#20 0xf609ca86 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#21 0xf609cfbd in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#22 0xf4fe5701 in Akonadi::TagFetchJob::tagsReceived (this=0x8bbe498, _t1=...) at /build/akonadi-uzW5jU/akonadi-16.04.3/obj-i686-linux-gnu/src/core/moc_tagfetchjob.cpp:147
#23 0xf4fe6e3d in Akonadi::TagFetchJobPrivate::timeout (this=0x8e032e0) at /build/akonadi-uzW5jU/akonadi-16.04.3/src/core/jobs/tagfetchjob.cpp:58
#24 Akonadi::TagFetchJobPrivate::aboutToFinish (this=0x8e032e0) at /build/akonadi-uzW5jU/akonadi-16.04.3/src/core/jobs/tagfetchjob.cpp:49
#25 0xf4fc8316 in Akonadi::JobPrivate::delayedEmitResult (this=0x8e032e0) at /build/akonadi-uzW5jU/akonadi-16.04.3/src/core/jobs/job.cpp:163
#26 0xf4fc91db in Akonadi::Job::qt_static_metacall (_o=0x8bbe498, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0x8b4e300) at /build/akonadi-uzW5jU/akonadi-16.04.3/obj-i686-linux-gnu/src/core/moc_job.cpp:108
#27 0xf60999d0 in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#28 0xf609d553 in QObject::event(QEvent*) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#29 0xf69a3f6a in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
#30 0xf69a97fc in QApplication::notify(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
#31 0xf606ec84 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#32 0xf6071970 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#33 0xf6071e67 in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#34 0xf60c5e63 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#35 0xf3ffcee9 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#36 0xf3ffd189 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#37 0xf3ffd254 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#38 0xf60c6233 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#39 0xecc1ec71 in ?? () from /usr/lib/i386-linux-gnu/libQt5XcbQpa.so.5
#40 0xf606c2d6 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#41 0xf606c70a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#42 0xf60753a5 in QCoreApplication::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5
#43 0xf63a8211 in QGuiApplication::exec() () from /usr/lib/i386-linux-gnu/sse2/libQt5Gui.so.5
#44 0xf69a0b14 in QApplication::exec() () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
#45 0x0804c5ea in main (argc=1, argv=0xfffcea34) at /build/kdepim-Py8sU_/kdepim-16.04.3/kaddressbook/main.cpp:84

Possible duplicates by query: bug 360746, bug 357228.

Reported using DrKonqi
Comment 1 Volker 2016-07-21 13:10:28 UTC
From Maximiliano Curia I got the following hint:
> Looking at the code, my bet is that changing akonadi's src/core/models/tagmodel_p.cpp
> the function Tag TagModelPrivate::tagForIndex line 106:
> return children.at(index.row());
> for:
>   return children.value(index.row());

Greetings volker
Comment 2 Laurent Montel 2016-07-22 05:51:34 UTC
Git commit 88c31eb55116297e8faf248c81122e3d0af6e97b by Montel Laurent.
Committed on 22/07/2016 at 05:50.
Pushed by mlaurent into branch 'Applications/16.08'.

Fix Bug 365944 - KAddressbook crashes on startup with configured CardDav

Apply patch from comment in this BR.
I can't reproduce bug but value() will not assert as at(...)
FIXED-IN: 5.3.0

M  +1    -1    src/core/models/tagmodel_p.cpp

http://commits.kde.org/akonadi/88c31eb55116297e8faf248c81122e3d0af6e97b
Comment 3 Denis Kurz 2016-08-24 06:51:35 UTC
*** Bug 366790 has been marked as a duplicate of this bug. ***
Comment 4 Denis Kurz 2016-08-24 06:53:00 UTC
*** Bug 361652 has been marked as a duplicate of this bug. ***
Comment 5 Denis Kurz 2016-08-24 06:53:30 UTC
*** Bug 366373 has been marked as a duplicate of this bug. ***
Comment 6 Denis Kurz 2016-08-24 06:55:52 UTC
*** Bug 357228 has been marked as a duplicate of this bug. ***
Comment 7 Denis Kurz 2016-08-24 06:56:17 UTC
*** Bug 366304 has been marked as a duplicate of this bug. ***
Comment 8 Denis Kurz 2016-08-24 06:56:45 UTC
*** Bug 365983 has been marked as a duplicate of this bug. ***
Comment 9 Denis Kurz 2016-08-24 06:58:34 UTC
*** Bug 361651 has been marked as a duplicate of this bug. ***
Comment 10 Denis Kurz 2016-08-24 06:58:55 UTC
*** Bug 360746 has been marked as a duplicate of this bug. ***
Comment 11 Denis Kurz 2016-08-24 07:10:37 UTC
*** Bug 362150 has been marked as a duplicate of this bug. ***
Comment 12 Denis Kurz 2016-08-25 17:05:55 UTC
*** Bug 367749 has been marked as a duplicate of this bug. ***
Comment 13 Denis Kurz 2016-09-20 08:34:33 UTC
*** Bug 369071 has been marked as a duplicate of this bug. ***
Comment 14 Denis Kurz 2016-09-20 08:34:41 UTC
*** Bug 369070 has been marked as a duplicate of this bug. ***
Comment 15 Denis Kurz 2016-10-12 09:38:31 UTC
*** Bug 370402 has been marked as a duplicate of this bug. ***
Comment 16 Denis Kurz 2017-01-17 11:15:39 UTC
*** Bug 369616 has been marked as a duplicate of this bug. ***
Comment 17 Denis Kurz 2017-01-17 11:16:11 UTC
*** Bug 365800 has been marked as a duplicate of this bug. ***
Comment 18 Denis Kurz 2017-01-17 11:16:22 UTC
*** Bug 372711 has been marked as a duplicate of this bug. ***
Comment 19 Denis Kurz 2017-01-17 11:16:39 UTC
*** Bug 374333 has been marked as a duplicate of this bug. ***
Comment 20 Denis Kurz 2017-01-17 11:16:52 UTC
*** Bug 372782 has been marked as a duplicate of this bug. ***
Comment 21 Ilpo Kantonen 2017-03-04 00:13:10 UTC
I tried again to solve kaddressbook crash. At last I deleted all contacts. But kaddressbook crashed again:

KTranscript: Loaded module: /usr/share/locale/fi/LC_SCRIPTS/ki18n5/ki18n5.js
"Interpolation {$[gen %1]} in {$[gen %1] &asetukset...} failed: Non-string return value: undefined"
"Interpolation {$[gen %1]} in {$[gen %1] käyttö&ohj...} failed: Non-string return value: undefined"
"Interpolation {$[elat %1]} in {&Tietoa $[yleisnimi_...} failed: Non-string return value: undefined"
"KAddressBook::GlobalContactSession"
Comment 22 Ilpo Kantonen 2017-03-04 00:16:04 UTC
(In reply to Ilpo Kantonen from comment #21)
> I tried again to solve kaddressbook crash. At last I deleted all contacts.
> But kaddressbook crashed again:
> 
> KTranscript: Loaded module: /usr/share/locale/fi/LC_SCRIPTS/ki18n5/ki18n5.js
> "Interpolation {$[gen %1]} in {$[gen %1] &asetukset...} failed: Non-string
> return value: undefined"
> "Interpolation {$[gen %1]} in {$[gen %1] käyttö&ohj...} failed: Non-string
> return value: undefined"
> "Interpolation {$[elat %1]} in {&Tietoa $[yleisnimi_...} failed: Non-string
> return value: undefined"
> "KAddressBook::GlobalContactSession"

The whole console log:

$ kaddressbook
()
""
connectToServer "/tmp/akonadi-ilpo.8zwddF/akonadiserver.socket"
"/subscriber/kaddressbook_17791_E2SHkK"
connectToServer "/tmp/akonadi-ilpo.8zwddF/akonadiserver.socket"
"/subscriber/kaddressbook_17791_lp1Bap"
connectToServer "/tmp/akonadi-ilpo.8zwddF/akonadiserver.socket"
"/subscriber/kaddressbook_17791_7YZEBe"
connectToServer "/tmp/akonadi-ilpo.8zwddF/akonadiserver.socket"
KTranscript: Loaded property map: /usr/share/locale/fi/LC_SCRIPTS/ki18n5/general.pmapc
KTranscript: Loaded module: /usr/share/locale/fi/LC_SCRIPTS/ki18n5/ki18n5.js
"Interpolation {$[gen %1]} in {$[gen %1] &asetukset...} failed: Non-string return value: undefined"
"Interpolation {$[gen %1]} in {$[gen %1] käyttö&ohj...} failed: Non-string return value: undefined"
"Interpolation {$[elat %1]} in {&Tietoa $[yleisnimi_...} failed: Non-string return value: undefined"
"KAddressBook::GlobalContactSession"
connectToServer "/tmp/akonadi-ilpo.8zwddF/akonadiserver.socket"
"/subscriber/kaddressbook_17791_RkJLm7"
connectToServer "/tmp/akonadi-ilpo.8zwddF/akonadiserver.socket"
done
Connected to "Akonadi" , using protocol version 52
Server says: "Not Really IMAP server"
Connected to "Akonadi" , using protocol version 52
Server says: "Not Really IMAP server"
Connected to "Akonadi" , using protocol version 52
Server says: "Not Really IMAP server"
Connected to "Akonadi" , using protocol version 52
Server says: "Not Really IMAP server"
Connected to "Akonadi" , using protocol version 52
Server says: "Not Really IMAP server"
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
Connected to "Akonadi" , using protocol version 52
Server says: "Not Really IMAP server"
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = kaddressbook path = /usr/bin pid = 17791
KCrash: Arguments: /usr/bin/kaddressbook 
KCrash: Attempting to start /usr/lib/i386-linux-gnu/libexec/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0

[1]+  Pysäytetty             kaddressbook
ilpo@ilpow:~/.local/share/contacts$ QSocketNotifier: Invalid socket 15 and type 'Read', disabling...
QSocketNotifier: Invalid socket 17 and type 'Read', disabling...
QSocketNotifier: Invalid socket 10 and type 'Read', disabling...
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...
QSocketNotifier: Invalid socket 24 and type 'Read', disabling...
QSocketNotifier: Invalid socket 26 and type 'Read', disabling...

[1]+  Poistui 253             kaddressbook
$
Comment 23 Christoph Feck 2017-09-28 16:50:35 UTC
*** Bug 382635 has been marked as a duplicate of this bug. ***
Comment 24 Christoph Feck 2018-01-02 14:36:03 UTC
*** Bug 387769 has been marked as a duplicate of this bug. ***
Comment 25 Philippe Cloutier 2018-06-23 13:21:15 UTC
This is not specific to CardDav, nor just about startup crashes. Please retitle accordingly.
Comment 26 Volker 2018-06-23 14:49:34 UTC
Because it's unclear to me: 
Do You expect me to change the title of the (resolved) bug report?
To what it should be changed?
I reported this crash 2 years ago, my actual system is working, so what to do??

Greetings, volker
Comment 27 Philippe Cloutier 2018-06-24 15:29:21 UTC
Volker, the change is already done. Sorry

I fixed this for Debian 9's akonadi 4:16.04.3-4. I replaced all 7 binary packages built from that source which I had installed with the new ones with this command:
# dpkg -i akonadi-backend-mysql_16.04.3-4.0.1_all.deb akonadi-server_16.04.3-4.0.1_i386.deb libkf5akonadiagentbase5_16.04.3-4.0.1_i386.deb libkf5akonadicore5_16.04.3-4.0.1_i386.deb libkf5akonadiprivate5_16.04.3-4.0.1_i386.deb libkf5akonadiwidgets5_16.04.3-4.0.1_i386.deb

I assume that only one of these is necessary (probably libkf5akonadicore5), but I didn't test. If anyone wants to confirm, that would be appreciated.

I packaged the binary packages in https://drive.google.com/file/d/1NSq_CGjxUS0Vh00c1Lg4xkUmDBBPRhzv/view
Comment 28 Volker 2018-06-24 18:06:31 UTC
I see. Thanks a lot for your work.
I'm actually on debian sid with 4:17.12 and have actual no hurting problems.
Unfortunately I have no system with the old versions running for test.

Greetings, volker
Comment 29 Philippe Cloutier 2018-07-21 01:09:58 UTC
I must say I've had several issues with KOrganizer even with the packages I rebuilt. A few crashes and an empty calendar once, as if there's still something which KOrganizer doesn't quite like. But it's not blocking me.